import { useStudio } from "../providers/StudioProvider.js";
import MainLayout_default from "../components/layout/MainLayout.js";
import Workspaces_default from "../features/workspaces/Workspaces.js";
import { c } from "react/compiler-runtime";
import { jsx, jsxs } from "react/jsx-runtime";
import { Home } from "lucide-react";
function WorkspacesPage() {
	let s = c(12), { router: l } = useStudio(), u;
	s[0] === l ? u = s[1] : (u = l.getDashboard(), s[0] = l, s[1] = u);
	let d;
	s[2] === Symbol.for("react.memo_cache_sentinel") ? (d = /* @__PURE__ */ jsx(Home, { className: "h-4 w-4" }), s[2] = d) : d = s[2];
	let f;
	s[3] === u ? f = s[4] : (f = {
		label: "Dashboard",
		href: u,
		icon: d
	}, s[3] = u, s[4] = f);
	let p;
	s[5] === Symbol.for("react.memo_cache_sentinel") ? (p = {
		label: "Workspaces",
		current: !0
	}, s[5] = p) : p = s[5];
	let m;
	s[6] === f ? m = s[7] : (m = [f, p], s[6] = f, s[7] = m);
	let h = m, g, _;
	s[8] === Symbol.for("react.memo_cache_sentinel") ? (g = /* @__PURE__ */ jsx("h1", {
		className: "mb-4 text-3xl font-bold tracking-tight",
		children: "Workspaces"
	}), _ = /* @__PURE__ */ jsx(Workspaces_default, {}), s[8] = g, s[9] = _) : (g = s[8], _ = s[9]);
	let v;
	return s[10] === h ? v = s[11] : (v = /* @__PURE__ */ jsxs(MainLayout_default, {
		breadcrumbsData: h,
		children: [g, _]
	}), s[10] = h, s[11] = v), v;
}
export { WorkspacesPage as default };
